#
# spec file for package python-click-log
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python3-%{**}}
%global skip_python2 1
Name:           python-click-log
Version:        0.4.0
Release:        1.8
Summary:        Logging integration for Click
License:        MIT
URL:            https://github.com/click-contrib/click-log
Source:         https://files.pythonhosted.org/packages/source/c/click-log/click-log-%{version}.tar.gz
BuildRequires:  %{python_module base}
BuildRequires:  %{python_module click}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-click
BuildArch:      noarch
%python_subpackages

%description
Integrates logging with click.
*This is rather experimental.  See tests for usage for now.*

%prep
%setup -q -n click-log-%{version}
rm -rf click_log.egg-info

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Sun Mar 27 2022 Dirk Müller <dmueller@suse.com>
- update to 0.4.0:
  * compatibility declares with python >= 3.7
* Mon Oct 14 2019 Matej Cepl <mcepl@suse.com>
- Replace %%fdupes -s with plain %%fdupes; hardlinks are better.
* Wed Jul  4 2018 dmacvicar@suse.de
- Update to 0.3.2
  * remove unused import
  * use default root logger
  * fix docu
  * fix formating of logs
  * simplify api
* Fri Jun 30 2017 aloisio@gmx.com
- Update to version 0.1.8
- Converted to single-spec
* Sat Jul  9 2016 arun@gmx.de
- update to version 0.1.4:
  * added some links
  * added docs
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Tue Jan 19 2016 sleep_walker@opensuse.org
- polish spec (not only) with spec cleaner
* Tue Jan 19 2016 sleep_walker@opensuse.org
- let there be python3-click-log!
